.review-album {
    justify-content: center !important;
    margin: auto !important;
    text-align: center;
}

.col-10 {
    justify-content: center !important;
    margin: auto !important;
}

/*Album*/

.review-album-image img {
    justify-content: center;
    margin: auto;
    width: 40em;
    border-radius: 15px;
}

/*.review-album-image img:hover {
    transform: scale(1.05);
    border-radius: 15px;
    transition: 0.3s;
}*/

.review-album-detail {
    margin-top: 8px;
}

.review-album-label  {
    margin-top: 4px;
    font-size: 1.6em;
    font-style: normal;
    color: #212A37;
    font-weight: 400;
}

.review-album-date {
    font-size: 1.4em;
    font-style: normal;
    color: #212A37;
    font-weight: 400;
}

.platform {
    justify-content: center;
    margin-top: 24px;
    display: flex;
    gap: 32px;
}

.spotify svg{
    position: relative;
    margin-top:-4px;
}

.youtube:hover {
    opacity: 70%;
    transition: 0.1s;
}

.apple-music:hover {
    opacity: 70%;
    transition: 0.1s;
}


/*Rating*/

.review-rating {
    margin-top: 64px;
}

.review-card-rating-container {
    justify-content: center;
    margin-top: 24px;
    display: flex;
    gap: 16px;
    flex: 50%;
    color: white;
}

.review-card-rating-container h1{
    font-size: 2.0em;
    font-style: normal;
    font-weight: 700;
}

.score {
    display: flex;
    gap: 10px;
    margin: 0;
}

.score h2 {
    font-size: 6.4em;
    font-style: normal;
    font-weight: 700;
}

.score svg {
    position: relative;
    margin-top: 32px;
}

.score p {
    position: relative;
    margin-top: 40px;
}

.col-6 {
    justify-content: center;
}

.review-card-rating-blue {
    background-color: #4655FF;
    padding: 3%;
    width: auto;
    height: auto;
    border-radius: 25px;
}

.review-card-rating-black {
    background-color: #212A37;
    padding: 3%;
    width: auto;
    height: auto;
    border-radius: 25px;
}


@media (max-width: 576px) {
    .review-card-rating-container {
        display: flex;
        flex-direction: column;
    }
   
    .review-card-rating-blue {
        padding: 10%;
        border-radius: 20px;
    }

    .review-card-rating-black {
        padding: 10%;
        border-radius: 20px;
    }
}


/*Rating Star*/

.col-auto {
    justify-content: center;
    display: flex;
}

.rating-lg {
    gap: 15px;
}

.rating-bar {
    margin: 32px auto;
    justify-content: center;
    display: flex;
    gap: 15px;
    padding: 1% 15%;
    border: 2px solid #4655FF;
    border-radius: 25px;
    width: 30vw;
}

.rating-bar:hover {
    background-color: #4655FF;
    transition: all 0.3s ease;
}

.rating-bar.mask-star-2 {
    background-color: #EEEEEE;
}

.rating-bar:hover.mask-star-2{
    background-color: #EEEEEE;
    transition: all 0.3s ease;
}

.mask-star-2 {
    background-color: ;
}

/*.mask-star-2:hover {
    background-color: #F7FD80;
}

.mask-star-2:focus {
    background-color: #F7FD80;
}

.mask-star-2:active {
    background-color: #4655FF;
}*/

/*Mobile Responsive*/
@media (max-width: 576px ) {
    .rating-bar {
        width: auto;
        padding: 1% 15%;
    }
}

@media (min-width: 576px) {
    .rating-bar {
        width: auto;
    }
}


/*Review*/

.review-section {
    margin-top: 24px;
}

.review {
    justify-content: center;
    margin: auto;
}

.review-dropdown {
    margin-top: 24px;
    justify-content: center;
    display: flex;
    gap: 20px;
}

.col-auto.dropdown {
    gap: 10px;
}

.select {
    color:#4655FF;
    border-radius: 25px;
    background-color: #EEEEEE;
    border: 1.5px solid #4655FF; 
    font-size: 1.4em;  
    width: 120px;
}

option {
    color: #4655FF;
    width: 20vw;
}

.sort-option {
    color: #4655FF;
}

.select:focus {
    color: #4655FF;
    transition: 0.3s;
    border-color: #4655FF;
    box-shadow: 0 0 10px rgba(0, 123, 255, 0.2);
}

option:hover {
    color: #4655FF;
}

.review-total {
    text-align: center;
    margin-top: 10px;
    opacity: 70%;
}

.input-group.mb-3 {
    margin-top: 8px;
}

.input-group-text {
    font-size: 1.4em;
}

.row.g-2 {
    margin-top: 8px;
}

.form-floating {
    margin-top: 10px;
}


#floatingInputGrid {
    font-size: 1em;
}

.form-check {
    margin-top: 10px;
    font-size: 1.4em;
}

.form-check-input {
    border: 1px solid #4655FF;
}

.review {
    margin-top: 8px;
}


.button {
    justify-content: flex-end;
    display: flex;
    gap: 6px;
}

.btn {
    color: #4655FF;
    border: 1.5px solid #4655FF;
    border-radius: 20px;
    font-size: 1.4em;
    font-style: normal;
    font-weight: 400;
}

.btn:hover {
    border: 1.5px solid #4655FF;
    background-color: #4655FF;
    color: #EEEEEE;
    transition: 0.1s;
}

/*Submit Pop Up*/

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 999;
}

.overlay.show {
    display: block;
}

.submit-success svg{
    margin: auto;
}

.popup {

    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 30px;
    border-radius: 8px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2);
    text-align: center;
    z-index: 1000;
}

.popup.show {
    margin: auto;
    display: block;
    width: 380px;
    height: 260px;
    border-radius: 20px;
    background-color: #4655FF;
    animation: fadeIn 0.3s;

}

.popup h1 {
    margin-top: 25px;
    color: #EEEEEE;
    font-size: 3.6em;
    font-style: normal;
    font-weight: 600;
}

/*Animation Keyframe*/
@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translate(-50%, -60%);
    }
    to {
        opacity: 1;
        transform: translate(-50%, -50%);
    }
}


#review-details {
    margin: auto;
    justify-content: center;
    width: 99vw;
}

/*Review-Other*/

.review-text {
    width: auto;
}

hr.review-break {
    margin-top: 32px;
    margin-bottom: 16px ;
    opacity: 70%;
    border: 1px solid #212A37;
}

.card-review {
    margin-top: 20px;
}

.review-text h3 {
    margin-top: 4px;
}

.reveiw-date {
    position: relative;
    top: -4px;
    font-size: 1.2em;
    opacity: 70%;
}

.review-text p {
    margin-top: 8px;
}

.review-button {
    justify-content: end;
    margin-top: 4px;
    display: flex;
    gap: 16px;
}

.review-star:hover {
    fill: #4655FF;
}


/*Review-button*/

.review-button-container {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 16px;
}

.like-button, .dislike-button {
    background: none;
    cursor: pointer;
    transition: all 0.3s ease;
    display: flex;
    justify-content: center;
    align-items: center;
}

.like-button svg, .dislike-button svg {
    stroke: #333;
    fill: none;
    transition: all 0.3s ease;
}

.like-button.active {
    background-color: #EEEEEE;
    border-color: #EEEEEE;
}

.like-button.active svg {
    stroke: #EEEEEE;
    fill: #4655FF;
}

.dislike-button.active {
    background-color: #EEEEEE;
    border-color: #EEEEEE;
}

.dislike-button.active svg {
    stroke: #EEEEEE;
    fill: #4655FF;
}


/*Footer*/
.footer {
    margin-top: 64px;
}






/*Rating Bar 2*/

.rating {
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;
    margin: 32px auto;
    justify-content: center;
    display: flex;
    gap: 15px;
    padding: 1% 8%;
    border: 2px solid #4655FF;
    border-radius: 25px;
    width: auto;
    max-width: 50em;
}

/*Rating Mobile Responsive*/
@media (max-width: 450px ) {

    .rating {
        width: auto;
    }

}

.rating>input {
    display: none
}

.rating>label {
    position: relative;
    width: 1em;
    font-size: 40px;
    font-weight: 300;
    color: #4655FF;
    cursor: pointer
}

.rating>label::before {
    content: "\2605";
    position: absolute;
    opacity: 0
}

.rating>label:hover:before,
.rating>label:hover~label:before {
    opacity: 1 !important
}

.rating>input:checked~label:before {
    opacity: 1
}

.rating:hover>input:checked~label:before {
    opacity: 0.4
}
 
.buttons{
	top: 36px;
    position: relative;
} 



#exampleInputTitle {
    padding-left: 1.2%;
    padding-right: 1.2%;
    height: 3em;
}

.intro-text {
    text-align: end;
}

input[type="title"] {
    margin-top: 10px;
    border: 1.5px solid #EEEEEE;
    border-radius: 10px;
    color: #4655FF;
    padding: 2% 2%;
    font-size: 1.4em
}

input[type="title"]:focus {
    color: #4655FF;
    background-color: #EEEEEE;
    transition: all 0.2s ease;
}

input[type="title"]:active {
    color: #4655FF;
    background-color: #EEEEEE;
    transition: all 0.2s ease;
}

#exampleInputTitle::placeholder {
    color: #212A37 !important;
    text-align: left;
    opacity: 80% !important;
}

#floatingTextareaReview::placeholder {
    color: #212A37 !important;
    text-align: left;
    opacity: 80% !important;
}

#floatingTextareaReview {
    margin-top: 10px;
    padding: 1% 1%;
    color: #4655FF;
    border: 1.5px solid #EEEEEE;
    border-radius: 10px;
    font-size: 1.4em
}

#floatingTextareaReview:focus {
    color: #4655FF;
    background-color: #EEEEEE;
    transition: all 0.2s ease;
}

.form-check-label {
    font-size: 1.2em;
}


/*Mobile Responsive*/
@media (max-width: 450px ) {

    ::placeholder {
        padding-left: 2%;
    }

    button {
        margin-top: 8px;
    }


}